Attribute VB_Name = "modSendMSG"
' (c) 2004 - 2005 by Jochen Wierum

Option Explicit

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Declare Function FindWindow Lib "user32" Alias "FindWindowA" ( _
    ByVal lpClassName As String, ByVal lpWindowName As String) As Long
    
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" ( _
    ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, _
    ByVal lparam As Long) As Long

' Sendet eine Systemnachricht an ein Fenster, die Infos
' stammen aus einer Command-Klasse
Public Function SendMSG(c As clsCommand) As Boolean
    Dim h As Long
    
    ' Fenster suchen
    h = FindWindowHwnd(c.GetParam(2), c.GetParam(3))
    If h = 0 Then Exit Function
    
    ' Nachricht senden
    SendMessage h, CLng(c.GetParam(4)), CLng(c.GetParam(5)), CLng(c.GetParam(6))
    SendMSG = True
End Function

Private Function FindWindowHwnd(WindowText As String, File As String) As Long
    Dim h As Long
    
    ' Fenster suchen
    h = FindWindow(WindowText, vbNullString)
    
    ' Nicht gefunden?
    If h = 0 Then
        ' Datei starten!
        If Len(File) > 0 Then
            StartFile File, "", ""
            Sleep 5000
        
            ' Erneut suchen!
            h = FindWindow(WindowText, vbNullString)
        End If
    End If
    
    'Handle zurckgeben
    FindWindowHwnd = h
End Function
